@font-face {
    font-family: "Pokemon";
    src: url("../../assets/fonts/Pokemon\ Solid.ttf");
}
@font-face {
    font-family: "Pokemon_GB_Text_Normal";
    src: url("../../assets/fonts/PokemonGb-RAeo.ttf");
}
@font-face {
    font-family: "Pokemon_GB_Text_Zarbi";
    src: url("../../assets/fonts/PokemonUnownGb-YAWa.ttf");
}

body {
    margin: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Pokemon_GB_Text_Normal", sans-serif;
}

    main {
        width: clamp(300px, 80%, 600px);
    }

        header {
            max-width: 100%;
            margin: 1rem auto;
            margin-bottom: 2rem;
            padding: .5rem;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: rgb(219, 219, 219);
            text-align: center;
            font-size: .5rem;
            border-radius: .5rem;
        }

            #shinyStars {
                width: 25px;
                height: 25px;
            }
        
        .figure-artwork {
            width: clamp(150px, 80%, 350px);
            height: auto;
            margin: 0 auto;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

        .artwork {
            width: clamp(150px, 80%, 350px);
            height: auto;
            margin: 0 auto;
        }

        hr {
            margin: 0 auto;
        }

        .sprites-list {
            display: flex;
            justify-content: space-evenly;
            align-items: center;
            gap: 1rem;
            padding: 0;
            margin: 1rem 0;
            list-style: none;
            flex-wrap: wrap;
        }

            .sprites-list figure {
                margin: 0;
                text-align: center;
            }


            .sprites-list figcaption {
                font-size: clamp(0.35rem, 3vw, .6rem);
                font-weight: bold;
                margin-bottom: 1rem;
            }

                .figcap-rouge {
                    color: #dc143c;
                }

                .figcap-bleu {
                    color: blue;
                }

                .figcap-rf {
                    color: #f35810;
                }

                .figcap-vf {
                    color: rgb(67, 167, 67);
                }

                .figcap-cristal {
                    color: #618e87;
                }

            .sprites-list img {
                width: clamp(120px, 8vw, 144px);
                height: auto;
            }

        #article30years {
            width: clamp(150px, 90%, 500px);
            margin: 0 auto;
            margin-top: .75rem;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            text-align: center;
        }

            #article30years p {
                font-size: clamp(.5rem, 3vw, 1rem);
            }

            .logo30years {
                width: clamp(150px, 90%, 384px);
                height: auto;
            }

        section.sectionErrorPage {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            text-align: center;
        }

            section.sectionErrorPage img {
                width: clamp(150px, 80%, 350px);
                height: auto;
                margin: 2rem auto;
            }

            section.sectionErrorPage p, section.sectionErrorPage a {
                margin-block: 2rem;
            }

            section.sectionErrorPage a {
                text-underline-offset: .5rem;
            }
